
Figure - Bug #115831
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】音乐小窗mini模式下随意拖动，会造成小窗内容显示不完整
2023-02-03 10:30 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-02

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当小窗拖动超过屏幕边界时,Music在计算child的位置的时候,获取到的top,right,left,bottom就是负值,根据这个去计算就会导致child显示异常,��这个时候也会把后面的toolbar的父布局给设置成INVISIBLE状态,所以能看到上部分显示的蓝色背景

Description

【前提条件】

1、设备已开机

2、本地有音乐

【测试步骤】

1、打开音乐小窗

2、播放音乐

3、进入mini模式

4、快速上下拖动小窗

【预期结果】

4、松手后mini小窗根据落点规则移动到相应位置

【实际结果】

4、mini小窗移动到相应位置，但是小窗内容显示不完整以及小窗上下出现蓝条的情况

History

#1 - 2023-02-03 20:00 - CD FW-鲁凯峰

■ Current conclusion

音乐播放器的问题,音乐播放器需要适配小窗模式,对布局进行重新调整

■ My analysis

■ Next action

调查音乐播放器的布局

#2 - 2023-02-07 19:37 - CD FW-鲁凯峰

- Resolution changed from -- to FIXED

- Root cause set to 当小窗拖动超过屏幕边界时,Music在计算child的位置的时候,获取到的top,right,left,bottom就是负值,根据这个去计算就会导致child显示异常,

这个时候也会把后面的toolbar的父布局给设置成INVISIBLE状态,所以能看到上部分显示的蓝色背景
■ Current conclusion

问题已经解决

■ My analysis

当小窗拖动超过屏幕边界时,Music在计算child的位置的时候,获取到的top,right,left,bottom就是负值,根据这个去计算就会导致child显示异常,

这个时候也会把后面的toolbar的父布局给设置成INVISIBLE状态,所以能看到上部分显示的蓝色背景

解决方法是将toolbar的父布局一直设置成VISISBLE状态,这个不管在freeform状态下还是fullscreen状态下,都不会影响用户的使用,看上去也是正常的,不会出

现上下部分显示蓝色背景的情况

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/179908

#3 - 2023-02-07 20:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179908 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:SnapdragonMusic: update layout in small windowwhen drag muisic mini window out of screen, the slip offset > 1.0fThis will cause the child layout

exception.TC-RID: 1201-0301201IssueID: TS-R-BUG-115831Change-Id: I081a96976ca0591765adc98a3fd1dfceab40ed71

#4 - 2023-02-07 20:10 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

#5 - 2023-02-08 11:17 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

2.8

验证通过

#6 - 2023-02-08 11:17 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-02 17-00-37.mp4 12.9 MB 2023-02-03 CD TEST-方永红
